Don't propose to create a page under a title with prefix:, intitle:, incategory: or other search operators
Closed, ResolvedPublic

Assigned To
None
Priority
Low
Author
Cenarium
Subscribers
Cenarium, brion, Nemo_bis and 7 others
Projects
Reference
bz21102
Description

When the search uses parameters prefix:, intitle: or +incategory:, it should not propose to create the page. See link, new users have been confused by this when searching archives and created pages like <something> prefix:Talk:Main Page . It seems unlikely that pages containing any of those strings need to be created.


Version: unspecified
Severity: enhancement
URL: http://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28technical%29#Prefix_searches_confuse_new_users
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=22678

bzimport added a project: MediaWiki-Search.Via ConduitNov 21 2014, 10:54 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz21102.
Cenarium created this task.Via LegacyOct 12 2009, 12:12 AM
demon added a comment.Via ConduitOct 13 2009, 1:22 PM

These are legitimate page title names, no need for the software to block them.

If a local wiki doesn't want them, an AbuseFilter or entry to the page title blacklist are more appropriate. Marking WONTFIX.

brion added a comment.Via ConduitOct 14 2009, 7:05 PM

Where they're syntactical elements of a search query they really should be excluded from the search suggestion.

brion added a comment.Via ConduitOct 14 2009, 7:06 PM
  • Bug 21137 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitNov 23 2009, 1:48 PM

rainman wrote:

*** Bug 21467 has been marked as a duplicate of this bug. ***

Spage added a comment.Via ConduitJun 17 2013, 7:52 PM

This also happens with the ~ and - prefixes, and the * suffix.

Nemo_bis added a comment.Via ConduitDec 5 2013, 4:46 PM

MediaWiki:Searchmenu-new is also a bit ugly: '''Create the page "[[:$1]]" on this wiki!''' I understand the bold, but the exclamation mark? While at it, if this bug is fixed the message can be made a bit more encouraging, like «'''You can create the page "[[:$1]]" on this wiki.'''» (such a wording would currently make the effects of this bug worse); the bug 27311 could make the link more helpful and always valid whatever the permissions/processes on the wiki.

bzimport added a comment.Via ConduitDec 12 2013, 10:34 PM

7rt1j wrote:

As mentioned on bug 29989, this is also the case with double quotes used in search phrases.

He7d3r added a comment.Via ConduitDec 13 2013, 12:03 AM
  • Bug 29989 has been marked as a duplicate of this bug. ***
demon added a comment.Via ConduitFeb 17 2014, 5:07 AM

We actually did this with Cirrus. If other backends support fancy syntax and want to do the same, they can too by returning true in SearchResultSet::searchContainedSyntax() implementations.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.